MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032530Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-08-11 18:482021-08-14 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032530: Data Exchange, RWGltf_CafWriter - add option merging Faces within the Part
DescriptionIn some cases, preserving all original TopoDS_Face structures within glTF export is redundant.
TagsNo tags attached.
Test case numberde_mesh/gltf_write/as1
Attached Files

- Relationships
related to 0032503verifiedbugmaster Draw Harness - make input CS orientation configurable within WriteGltf command 

-  Notes
(0103135)
git (administrator)
2021-08-11 18:48

Branch CR32530 has been created by kgv.

SHA-1: 08607e636b5fc757f1d07b3a16ec5b35b34c59d7


Detailed log of new commits:

Author: kgv
Date: Wed Aug 11 18:48:23 2021 +0300

    0032530: Data Exchange, RWGltf_CafWriter - add option merging Faces within the Part
(0103138)
git (administrator)
2021-08-11 22:19

Branch CR32530_1 has been created by kgv.

SHA-1: f3e431c4590f3ee53caa52630fd627f4060e757b


Detailed log of new commits:

Author: kgv
Date: Wed Aug 11 18:48:23 2021 +0300

    0032530: Data Exchange, RWGltf_CafWriter - add option merging Faces within the Part
    
    Added RWGltf_CafWriter::ToMergeFaces() property disabled by default.
(0103139)
git (administrator)
2021-08-11 22:33

Branch CR32530_1 has been updated forcibly by kgv.

SHA-1: 8c11230efdd513f40777c5c4b4a169edd8d8e66d
(0103140)
git (administrator)
2021-08-11 22:44

Branch CR32530_1 has been updated forcibly by kgv.

SHA-1: 206bca2a92dad27e81720a502b9c666302b7b942
(0103141)
git (administrator)
2021-08-11 23:23

Branch CR32530_1 has been updated forcibly by kgv.

SHA-1: 71353e6294ce265df571a12e8c23446966fe2e56
(0103142)
git (administrator)
2021-08-11 23:43

Branch CR32530_1 has been updated forcibly by kgv.

SHA-1: 4d26f9263ba46256ce3a7165619fa0bc2e0afda9
(0103145)
git (administrator)
2021-08-12 09:57

Branch CR32530_1 has been updated forcibly by kgv.

SHA-1: 054f92302f1506c7647355cfa2238cbc420acd8d
(0103150)
kgv (developer)
2021-08-12 12:21

Patch is ready for review
- OCCT: branch CR32530_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32530_1-master-KGV/ [^]
(0103164)
osa (developer)
2021-08-12 17:56

The patch was reviewed
(0103203)
bugmaster (administrator)
2021-08-14 13:23

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103217)
git (administrator)
2021-08-14 14:02

Branch CR32530 has been deleted by mnt.

SHA-1: 08607e636b5fc757f1d07b3a16ec5b35b34c59d7
(0103218)
git (administrator)
2021-08-14 14:02

Branch CR32530_1 has been deleted by mnt.

SHA-1: 054f92302f1506c7647355cfa2238cbc420acd8d

- Related Changesets
occt: master 11c23250
Timestamp: 2021-08-11 15:48:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032530: Data Exchange, RWGltf_CafWriter - add option merging Faces within the Part

Added RWGltf_CafWriter::ToMergeFaces() property disabled by default.
RWMesh_MaterialMap - fixed creation of texture folder within working dir ".".
XCAFDoc_VisMaterial::FillMaterialAspect() - added clamping of too small shininess values.

Added options -mergefaces and -splitindices16 to WriteGltf for new feature.
Added -systemCoordSys option to WriteGltf for consistency with WriteObj.
mod - src/RWGltf/RWGltf_CafWriter.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafWriter.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfFace.hxx Diff ] File ]
mod - src/RWMesh/RWMesh_FaceIterator.cxx Diff ] File ]
mod - src/RWMesh/RWMesh_FaceIterator.hxx Diff ] File ]
mod - src/RWMesh/RWMesh_MaterialMap.cxx Diff ] File ]
mod - src/TopExp/FILES Diff ] File ]
mod - src/TopExp/TopExp_Explorer.cxx Diff ] File ]
mod - src/TopExp/TopExp_Explorer.hxx Diff ] File ]
rm - src/TopExp/TopExp_Explorer.lxx Diff ] File ]
mod - src/TopoDS/FILES Diff ] File ]
mod - src/TopoDS/TopoDS_Iterator.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_Iterator.hxx Diff ] File ]
rm - src/TopoDS/TopoDS_Iterator.lxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
add - tests/de_mesh/gltf_write/as1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-11 18:48 kgv New Issue
2021-08-11 18:48 kgv Assigned To => kgv
2021-08-11 18:48 git Note Added: 0103135
2021-08-11 22:19 git Note Added: 0103138
2021-08-11 22:33 git Note Added: 0103139
2021-08-11 22:44 git Note Added: 0103140
2021-08-11 23:23 git Note Added: 0103141
2021-08-11 23:43 git Note Added: 0103142
2021-08-12 09:57 git Note Added: 0103145
2021-08-12 11:34 kgv Relationship added related to 0032503
2021-08-12 12:21 kgv Note Added: 0103150
2021-08-12 12:21 kgv Assigned To kgv => osa
2021-08-12 12:21 kgv Status new => resolved
2021-08-12 17:56 osa Note Added: 0103164
2021-08-12 17:56 osa Assigned To osa => bugmaster
2021-08-12 17:56 osa Status resolved => reviewed
2021-08-14 13:23 bugmaster Note Added: 0103203
2021-08-14 13:23 bugmaster Status reviewed => tested
2021-08-14 13:27 bugmaster Test case number => de_mesh/gltf_write/as1
2021-08-14 13:31 bugmaster Changeset attached => occt master 11c23250
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:02 git Note Added: 0103217
2021-08-14 14:02 git Note Added: 0103218


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker